import request from '../utils/request.js'

class recruit extends request {

  static async getRecruitList(name = '', type = 1, page = 1, pageSize = 10) {
    var data = {
      page: page,
      pageSize: pageSize,
      name: name,
      type: type,
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/list-recruit`, data)

    return res.data
  }
  static async getRecruitInfo(id) {
    var data = {
      id: id
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/info-recruit`, data)
    return res.data;
  }
  static async getRecruitLikeInfo(id,openid) {
    var data = {
      recruitsId: id,
      openid: openid,
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/info-like-recruit`, data)
    return res.data;
  }
  

  static async collectionRecruit(openId,recruitsId) {
    var data = {
      openid: openId,
      recruitsId: recruitsId
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/collection-recruit`, data)
    return res.data;
  }
  static async saveUser(data) {
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/save-user`, data)
    return res.data;
  }
  static async loginUser(data) {
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/login-user`, data)
    return res.data;
  }

  static async infoUser(data) {
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/info-user`, data)
    return res.data;
  }

}

export default recruit